Bug 250880 - Click Properties on fat32 volume, nautilus freezes.
Click Properties on fat32 volume, nautilus freezes.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-04 00:07 EDT by sangu
Modified: 2013-03-05 22:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 02:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-08-04 00:07:09 EDT
Description of problem:
Click Properties on fat32 volume, nautilus freezes.
$gdb nautilus process number
[...]
(gdb) bt
#0  0x00f1597c in mempcpy () from /lib/libc.so.6
#1  0x00f078db in _IO_new_file_xsputn (f=0x9349b00, data=0x92e37c0, n=76)
    at fileops.c:1327
#2  0x00efd6ba in *__GI__IO_fputs (
    str=0x92e37c0 "0x8b01348 2007/08/04 01:51:47.5525 (USER): debug log dumped
due to signal 11", fp=0x9349b00) at iofputs.c:41
#3  0x080e1118 in write_string (filename=0x4c <Address 0x4c out of bounds>, 
    file=0x4c, str=0x2 <Address 0x2 out of bounds>, error=0x0)
    at nautilus-debug-log.c:446
#4  0x080e121c in nautilus_debug_log_dump (
    filename=0x935a1e8 "/home/sangu/nautilus-debug-log.txt", error=0x0)
    at nautilus-debug-log.c:508
#5  0x0807b236 in dump_debug_log () at nautilus-main.c:213
#6  0x0807b27f in sigfatal_handler (sig=11) at nautilus-main.c:258
#7  <signal handler called>
#8  libhal_free_property_set (set=0x0) at libhal.c:558
#9  0x0147563e in libhal_drive_from_udi (hal_ctx=0x8b86530, 
    udi=0x911fea8 "/org/freedesktop/Hal/devices/volume_uuid_1C49_4FD3")
    at libhal-storage.c:1090
#10 0x0146aabb in gmp_properties_get_pages (provider=0x8b4fc10, 
    files=0x8f50540) at gnome-mount-properties.c:317
#11 0x001326a3 in nautilus_property_page_provider_get_pages (
    provider=0x8b4fc10, files=0x8f50540)
---Type <return> to continue, or q <return> to quit---
    at nautilus-property-page-provider.c:70
#12 0x080cb02d in append_extension_pages (window=0x8c56820)
    at fm-properties-window.c:5559
#13 0x080cef0b in is_directory_ready_callback (file=0x9020ae0, data=0xb701dac0)
    at fm-properties-window.c:5864
#14 0x080e69d7 in ready_callback_call (directory=0x8b98080, 
    callback=0xb7012738) at nautilus-directory-async.c:1259
#15 0x080e8bfa in call_ready_callbacks_at_idle (callback_data=0x8b98080)
    at nautilus-directory-async.c:1877
#16 0x00c93621 in g_idle_dispatch (source=0x8b647e0, callback=0, 
    user_data=0x8b98080) at gmain.c:4131x
#17 0x00c951ec in IA__g_main_context_dispatch (context=0x8b32d90)
    at gmain.c:2061
#18 0x00c9862f in g_main_context_iterate (context=0x8b32d90, block=1, 
    dispatch=1, self=0x8b01348) at gmain.c:2694
#19 0x00c989d9 in IA__g_main_loop_run (loop=0x8b8dbd0) at gmain.c:2898
#20 0x006d47b4 in IA__gtk_main () at gtkmain.c:1144
#21 0x0807ba6d in main (argc=Cannot access memory at address 0x1
) at nautilus-main.c:556
#22 0x00ebc0b0 in __libc_start_main (main=0x807b360 <main>, argc=5, 
    ubp_av=0xbff838e4, init=0x813d070 <__libc_csu_init>, 
    fini=0x813d060 <__libc_csu_fini>, rtld_fini=0x11e570 <_dl_fini>, 
    stack_end=0xbff838dc) at libc-start.c:222
#23 0x08065e91 in _start ()

Version-Release number of selected component (if applicable):
0.7-0.git20070725.1.fc8

How reproducible:
always

Steps to Reproduce:
1. Click Computer on nautilus
2. Select properties fat32 volume.
3.
  
Actual results:


Expected results:


Additional info:
nautilus-2.19.6-1.fc8
hal-0.5.10-0.git20070731.fc8
dbus-1.1.2-2.fc8
PolicyKit-0.5-0.git20070731.fc8
Comment 1 sangu 2007-09-18 02:04:41 EDT
Fixed in recent rawhide.
nautilus-2.19.91-1.fc8
hal-0.5.10-0.git20070831.fc8
dbus-1.1.2-6.fc8
PolicyKit-0.5-3.fc8
gnome-vfs2-2.19.91-2.fc8

Thanks!

Note You need to log in before you can comment on or make changes to this bug.